#!/usr/bin/env ruby
# -*-coding: utf-8 -*-

puts"質問に答えてね。"
puts"あなたはどんな動物が好き?"
puts"11:肉食"
puts"12:草食"
puts"13:雑食"


  kotae=gets.chomp.to_i
  if kotae==11
    puts"肉食系が好きなのか。じゃあ肉食動物のクイズ、わかるかしら。"
    puts"この中で肉食の動物はどれ?"
    puts"1:ハムスター"
    puts"2:豚"
    puts"3:トガリネズミ"
    

    while true
      kotae=gets.chomp.to_i
      if kotae==1
        puts"残念!!ちがいます。"
        redo
      elsif kotae==2
        puts"残念!違います。"
        redo
      elsif kotae==3
        puts"正解!!ネズミが肉食なんて意外でしょ"
        break
      else
        puts"その選択肢はありません!再チャレンジしましょう!!"
        redo
      end
    end
      elsif kotae==12
        puts"草食系の動物．．．。うーんこの問題はわかるかな?"
       puts"草食動物のキリン。さてキリンは昔ある動物に似ていたそうです。さてその動物とは何でしょう。"
        puts"1:馬"
        puts"2:羊"
        puts"3:トナカイ"
       

        while true
          kotae=gets.chomp.to_i
          if kotae==1
            puts"正解!!木の上の葉を食べたり敵から逃げるための長い首、長い足になったんだって"
            break
          elsif kotae==2
            puts"残念．．．。惜しいなあ"
            redo
          elsif kotae==3
            puts"残念．．．。馬はトナカイみたいに角ないよぉ。"
            redo
          else
            puts"その選択肢はありません!再チャレンジだ!!"
            redo
          end
        end
          elsif kotae==13
            puts"なんと!雑食か!じゃあ雑食動物のクイズ!!"
            puts"この中で雑食動物は何?"
            puts"1:野生の猫"
            puts"2:野生の犬"
            puts"3:野生のマントヒヒ"

            while true
              kotae=gets.chomp.to_i
              if kotae==1
                puts"残念!猫は肉食!"
                redo
              elsif kotae==2
                puts"正解!ちなみにたぬきもイヌ科で雑食なんだって!"
                break
              elsif kotae==3
                puts"残念!マントヒヒは肉食でした!"
                redo
               else
                puts"その選択肢はありません!再チャレンジ!"
                redo
              end
            end
  end             
